Package com.databricks.jdbc.auth

## Class DatabricksTokenFederationProvider

- java.lang.Object
- - com.databricks.jdbc.auth.DatabricksTokenFederationProvider

All Implemented Interfaces:
  `com.databricks.sdk.core.CredentialsProvider`, `com.databricks.sdk.core.oauth.TokenSource`

    public class DatabricksTokenFederationProvider
    extends Object
    implements com.databricks.sdk.core.CredentialsProvider, com.databricks.sdk.core.oauth.TokenSource

Implementation of the Credential Provider that exchanges the third party access token for a Databricks InHouse Token This class exchanges the access token if the issued token is not from the same host as the Databricks host.

Note: In future this class will be replaced with the Databricks SDK implementation

### Constructor Summary

Constructors
`DatabricksTokenFederationProvider​(IDatabricksConnectionContext connectionContext, com.databricks.sdk.core.CredentialsProvider credentialsProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `authType()`
`com.databricks.sdk.core.HeaderFactory` `configure​(com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`com.databricks.sdk.core.CredentialsProvider` `getCredentialsProvider()`
`com.databricks.sdk.core.oauth.Token` `getToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksTokenFederationProvider

    public DatabricksTokenFederationProvider​(IDatabricksConnectionContext connectionContext,
                                             com.databricks.sdk.core.CredentialsProvider credentialsProvider)

### Method Detail

#### authType

    public String authType()

Specified by:
  `authType` in interface `com.databricks.sdk.core.CredentialsProvider`

#### getCredentialsProvider

    public com.databricks.sdk.core.CredentialsProvider getCredentialsProvider()

#### configure

    public com.databricks.sdk.core.HeaderFactory configure​(com.databricks.sdk.core.DatabricksConfig databricksConfig)

Specified by:
  `configure` in interface `com.databricks.sdk.core.CredentialsProvider`

#### getToken

    public com.databricks.sdk.core.oauth.Token getToken()

Specified by:
  `getToken` in interface `com.databricks.sdk.core.oauth.TokenSource`